pro addproduct,filename,colorimage,sds_name,xparameter,productname,fail,quick = quick

; IDL routine
;
fail=0

lat_sdsname='Latitude'
long_sdsname='Longitude'

get_modis_data,filename,sds_name,latitude,longitude,sds_data,fail1,datarange

if fail1 ne 1 then begin

bad=where((sds_data le 0),badcount)

if badcount gt 0 then sds_data(bad)=0.

array_size_temp=size(sds_data)

xsize=array_size_temp(1)
ysize=array_size_temp(2)

if keyword_set(quick) then colorproductmap,sds_data,$
                                         latitude,$
                                         longitude,$
                                         colorimage,$
                                         datarange,$
                                         xparameter,$
                                         /validrange,$
                                         /dilateno
if not keyword_set(quick) then colorproductmap,sds_data,$
                                         latitude,$
                                         longitude,$
                                         colorimage,$
                                         datarange,$
                                         xparameter,$
                                         /validrange
sds_data=0
latitude=0
longitude=0

endif else begin
  print,'no data here'
  fail=1
endelse
end
